# Audacy

## Overview

Audacy (formerly Radio.com) is the aggregator for the 235+ Entercom stations locally broadcast across the USA.  This driver provides access to the live stream of all of these stations and also the podcasts created by these stations.

No account is required to use this driver, and at this time it is not possible to log in to an audacy account or to store favorites.

### Requirements:

C4 OS 2.10.2 or above

Streaming music subscriptions are sold separately and available only to those who qualify according to the license agreements for each such service. Streaming providers prohibit commercial use of their service, with few exceptions. Control4 does not support unauthorized use of any music streaming service and reports license violations to providers.

## Known issues

There is no way to view Podcasts when using Flash Navigator.  Only Stations are available.

## Quick Configuration

Add a copy of the driver to the project and Refresh Navigators.
Start streaming from either the Stations or Podcasts tab.

## Driver Properties

### Driver Version - [READ ONLY]

Shows the version of the driver running in the project

### Debug Mode - [ON | OFF]

Set this to ON to print out logging to the Lua tab in Composer.

### Progress Bar Updates - [Disabled | 1 | 2 | 3 | 4 | 5 seconds]

Sets how often the progress bar will update on the Navigator UI while tracks are playing

## Driver Commands

### Play Item

Triggers the item selected from the ... popup button to play in the selected room.

## Troubleshooting

If any trouble playing content occurs, first confirm that the internet connection to the system is good.  It is also advisable to attempt to play content on the Audacy website to make sure that there are no service issues.

## Change Log

24

- Add Recently Played Agent support

22

- DRIV-6017 - Rebranding

21

- DRIV-2736 – Make queue items have default action

20

- DRIV-2663 – Set maximum size of any displayed list to 1000
- DRIV-2675 – Use MSP DriverNotification to popup errors instead of Lua “error” call
- DRIV-2680 – Increase URL timeout from 5 to 10 seconds
- DRIV-2683 – Correctly handle secondary rooms selecting new music from a different music service

19

- DRIV-1040 - Update translations

17

- Add default action for items with action list

16

- DRIV-1687

15

- Initial release
